SF_StanceBar_Locked = true;

	function SemiStanceBar_OnLoad(self)

		SemiStanceBar_HideStanceArt();

		self:RegisterEvent("PLAYER_ENTERING_WORLD");
		self:RegisterEvent("ADDON_LOADED");
		self:RegisterEvent("UPDATE_SHAPESHIFT_FORMS");

	end

	function SemiStanceBar_OnEvent(self, event, ...)
		if ( event == "PLAYER_ENTERING_WORLD" or event=="ADDON_LOADED" ) then
			if ( SF_StanceBar_Locked ) then
				SemiStanceBar_LockBars();
			else 
				SemiStanceBar_UnLockBars();
			end

		end
		if ( event == "UPDATE_SHAPESHIFT_FORMS" ) then
			SemiStanceBar_HideStanceArt();
			Semi_Link_Stance_BarToDragButton();
		end
	end

	function SemiStanceBar_HideStanceArt()
		ShapeshiftBarLeft:SetAlpha(0);
		ShapeshiftBarMiddle:SetAlpha(0);
		ShapeshiftBarRight:SetAlpha(0);
		SlidingActionBarTexture0:SetAlpha(0);
		SlidingActionBarTexture1:SetAlpha(0);
	end

	function Semi_Link_Stance_BarToDragButton()
			UIPARENT_MANAGED_FRAME_POSITIONS["ShapeshiftBarFrame"] = nil;
			ShapeshiftBarFrame:ClearAllPoints();
			ShapeshiftBarFrame:SetPoint("BOTTOMLEFT", SemiStanceBarDragButton, "TOPRIGHT");
			ShapeshiftButton1:ClearAllPoints();
			ShapeshiftButton1:SetPoint("LEFT", ShapeshiftBarFrame, "LEFT");
			
	end


	function SemiStanceBar_LockBars()
		SemiStanceBarDragButton:SetAlpha(0);
		SemiStanceBarDragButton:EnableMouse("false");
		SF_StanceBar_Locked = true;
	end

	function SemiStanceBar_UnLockBars()
		SemiStanceBarDragButton:SetAlpha(1);
		SemiStanceBarDragButton:EnableMouse("true");
		SF_StanceBar_Locked = false;
	end
	